TreeReaderFactory.DoubleTreeReader (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class TreeReaderFactory.DoubleTreeReader

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory.TreeReader
  - - org.apache.orc.impl.TreeReaderFactory.DoubleTreeReader

- Enclosing class:
    TreeReaderFactory

      public static class TreeReaderFactory.DoubleTreeReader
      extends TreeReaderFactory.TreeReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected InStream` | `stream`

    - ### Fields inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `columnId, context, present, vectorColumnCount`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DoubleTreeReader(int columnId, InStream present, InStream data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `nextVector(ColumnVector previousVector, boolean[] isNull, int batchSize)` Populates the isNull vector array in the previousVector object based on the present stream values.
    `void` | `seek(PositionProvider index)`
    `void` | `seek(PositionProvider[] index)` Seek to the given position.

    - ### Methods inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `countNonNulls, createIntegerReader, getColumnId, getPresent, nextBatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stream

          protected InStream stream

  - ### Constructor Detail

    - #### DoubleTreeReader

          protected DoubleTreeReader(int columnId,
                                     InStream present,
                                     InStream data)
                              throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### seek

          public void seek(PositionProvider[] index)
                    throws IOException

      Description copied from class: `TreeReaderFactory.TreeReader`
      Seek to the given position.
      Overrides:
        `seek` in class `TreeReaderFactory.TreeReader`
      Parameters:
        `index` - the indexes loaded from the file
      Throws:
        `IOException`

    - #### seek

          public void seek(PositionProvider index)
                    throws IOException

      Overrides:
        `seek` in class `TreeReaderFactory.TreeReader`
      Throws:
        `IOException`

    - #### nextVector

          public void nextVector(ColumnVector previousVector,
                                 boolean[] isNull,
                                 int batchSize)
                          throws IOException

      Description copied from class: `TreeReaderFactory.TreeReader`
      Populates the isNull vector array in the previousVector object based on the present stream values. This function is called from all the child readers, and they all set the values based on isNull field value.
      Overrides:
        `nextVector` in class `TreeReaderFactory.TreeReader`
      Parameters:
        `previousVector` - The columnVector object whose isNull value is populated
        `isNull` - Whether the each value was null at a higher level. If isNull is null, all values are non-null.
        `batchSize` - Size of the column vector
      Throws:
        `IOException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.